Subject: Re: Which CAN driver to port to for PPC

From: Wolfgang Grandegger <[email-masked]>
Date: Thu, 29 Dec 2005 13:17:54 +0100

Alessandro Rubini wrote:
>>Robert Schwebel et al have worked socket based CAN (i.e. implement CAN
>>as _net_ dev, not as char)
> 
> 
> That's great. I've always been convinced it is the right way to go.
> I remember I've said so to a friend in March 2002.  Unfortunately,
> I had no time to do it the right way, due to short deadlines and
> tight budget.  I'm happy Robert did it.

FYI, there is also a RTDM/Xenomai based version of the SJA1000 
socket-based CAN driver at 
http://www.rts.uni-hannover.de/mitarbeiter/kiszka/rtaddon/
As RTDM/Xenomai is avaiable for PowerPC as well, it might be an option.

Wolfgang.

> /alessandro
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> 
>